#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

int main() 
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n;
    ll l, i=0;
    cin >> n >> l;
    vector<ll> h(n);
    do {
        cin >> h[i];
        i++;
    } while(h[i-1]>l && i!=n);
    
    if(i==n && h[n-1]>l) cout << "-1";
    else cout << i;
    return 0;
}